1

Just got a 2019 iMac, shipped with Mojave installed obviously. It never even occurred to me that it may not be able to run an earlier version of OS X, but after wasting tons of time trying to create a bootable USB installer of High Sierra only to find that the new iMac can't boot off of it, I got off of the phone with Apple Support who basically informed me that there's nothing that can be done to get this 2019 machine running an earlier version of OS X. Virtually none of the software I use for work is supported on Mojave yet. Is there ANY way that this machine can run High Sierra? Is it physically possible?

  • This isn't quite right; a Mac cannot run an earlier version of macOS than what that model was originally released with (which might be earlier than what it shipped with). For instance, if you buy a current MacBook Pro, it'll ship with macOS Mojave (10.14); but that's a mid-2018 model, which originally shipped with a special build of High Sierra 10.13.6. If you can find an installer for that version (&build), it'll still be able to run it. – Gordon Davisson Apr 8 at 4:25
2

This is usually the case with new Apple hardware. AirPods version 2 require the latest version of all of Apple's OSs to work. From the fine print at the bottom of Apple's official AirPods page

Requires an iCloud account and macOS 10.14.4, iOS 12.2, or watchOS 5.2.

This is especially true for new Macs, since the the new hardware requires updated drivers to work. Updating these drivers is non-trivial. Consider the case of Touch ID. That is a whole new subsystem that never existed before and updates to that system (i.e. the T2 chip) also require changes to the OS that Apple does not back-port to older versions of the OS.

One way to run an older version of the os is to use a virtual machine on your new iMac. I'm not sure what the state of VMs is currently, but there used to be Parallels and another that could run older versions of macOS in a virtual machine. This is not ideal, but may help.

Apple does have a 14 day return for any reason policy in the US, so you could return it and reconsider your options.

Sorry for the bad news, but this is how Apple keeps pushing things forward.

  • That makes sense, thanks for shedding some light on the relationship between new hardware and old software. Thankful to have the return policy in my back pocket if nothing else. Yes I've heard of parallels and bootcamp or similar as solutions- would they bog down CPU or get in the way of processor-intensive tasks much? – Robby Apr 5 at 16:38
  • You can get some parts of the older System running alongside the new OS. I'm currently running iTunes 10.4.1 (2011 64bit) on High Sierra, along with 12.6.3. Checked Mojave, and it'll run there as well. Didn't like Mojave, so I'm holding back. – Wayfaring Stranger Apr 5 at 20:44
0

The older versions of macOS will not have the drivers for the still unshipped hardware. That makes it physically not possible to run the older release of macOS natively on the newer hardware.

You can however use a virtualization solution to run an older version of macOS as a guest atop of native install.

  • That sounds like an interesting solution. My work is fairly processor intensive, would the virtualization solution bog down the CPU significantly/hamper the effectiveness of the hardware in any way? – Robby Apr 5 at 16:12
  • Yes it will be slower than the native is but could well be faster than your old machine. For some users eg developers it might be a better work flow to use a vm anyway. See how tools like docker get used in Unix world and why Intel chips have help for virtual machines. – user151019 Apr 6 at 9:54

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .